PHP Version (Support für das Chatscript)

Gernot, Wednesday, 24.04.2024, 17:09 (vor 52 Tagen)

kann es sein, dass mein 4 Jahre alter chat php 8.2.18 nicht mehr unterstützt?
wenn ich mich einloggen versuche bekomme ich nur ein schwarzes bild ohne irgendwelche items

hatte umstellen müssen und den chat nicht getestet in der zwischenzeit

Eintrag gesperrt
842 Views
Avatar

PHP Version

Fritz ⌂, Wednesday, 24.04.2024, 17:27 (vor 52 Tagen) @ Gernot

das kann nicht nur sein, sondern _ist_ definitiv so. Bitte die aktuelle Version installieren.

Eintrag gesperrt
825 Views

PHP Version

Gernot, Wednesday, 24.04.2024, 17:31 (vor 52 Tagen) @ Fritz

ok
da muss ich mir etwas überlegen
will nicht noch einmal den weisshauptchat komplett auf meine bedürfnisse umbauen

Eintrag gesperrt
834 Views

PHP Version

AsrielDragul ⌂, Wednesday, 24.04.2024, 18:22 (vor 52 Tagen) @ Gernot

Hier Chat-FAQ unter dem abschnitt update kannst du es einfach updaten ohne neu anfangen zu müssen

MFG
AsrielDragul

Eintrag gesperrt
825 Views

PHP Version

Gernot, Wednesday, 24.04.2024, 18:29 (vor 52 Tagen) @ AsrielDragul

danke für den Hinweis

Allerdings scheitert es daran, dass ich nicht mal mehr weiss, was ich in welchen Dateien geändert habe

Eintrag gesperrt
868 Views

PHP Version

Gernot, Wednesday, 24.04.2024, 18:42 (vor 52 Tagen) @ Gernot

habe den chat vorerst auf eine subdomain mit php7.2 geschoben
hilft erstmal

Eintrag gesperrt
876 Views
Avatar

PHP Version

Fritz ⌂, Wednesday, 24.04.2024, 18:43 (vor 52 Tagen) @ Gernot

@Gernot,
ich will keine falschen Hoffnungen wecken, aber vielleicht kann ich zu deinen Überlegungen etwas beitragen.
Vielleicht magst du mal auflisten, welche Inhalte / Funktionen / Designelemente, die du "hineingebastelt" hast, im Original (siehe Demo-Chat) nicht enthalten sind.
Ich habe nämlich häufig festgestellt, dass Anwender sich mühsam eigene Lösungen gestrickt haben, die mit entsprechenden Einstellungen bereits im Standard enthalten sind.

Eintrag gesperrt
869 Views

PHP Version

Gernot, Wednesday, 24.04.2024, 18:59 (vor 52 Tagen) @ Fritz

danke für die Hilfe

ich habe in der config sachen auskommentiert und in wer weiss, welchen dateien noch

der chat läuft auf der subdomain, auf den ich ihn geschoben habe, aber oben über dem chat steht eine lizenzkaufaufforderung, die vorher nicht da war....ich weiss nicht wieso, weil ich alle dateien einfach c&p habe....habe übrigens 2020 eine lizenz gekauft, auch wenn ich den chat nicht kommerziell nutze....

Eintrag gesperrt
828 Views
Avatar

PHP Version

Fritz ⌂, Wednesday, 24.04.2024, 19:18 (vor 52 Tagen) @ Gernot

weil ich alle dateien einfach c&p habe....

copy & paste auf eine andere Domain/Subdomain funktioniert nicht im Falle von .htaccess / .htpasswd Dateien.
Es ist zu befürchten, dass Admin-Tools ungeschützt zugänglich sind.
Du musst in diesem Fall in der .htaccess den Pfad zur .htpasswd manuell anpassen. (Bei Neuinstallation wird das automatisch beim erstmaligen Aufruf von der Setup-Routine erledigt.)

habe übrigens 2020 eine lizenz gekauft, auch wenn ich den chat nicht kommerziell nutze....

Wenn du damals eine nicht-kommerzielle Lizenz gekauft hast (was ich nicht weiß, sondern nur vermute), dann gilt die Lizenz nur für die bei der Bestellung angegebene Domain / Subdomain.
Das ist eine der wenigen Einschränkungen der nicht-kommerziellen gegenüber der kommerziellen Lizenz.

Und ohne „gültige“ Lizenz taucht der Hinweis auf den Lizenzkauf auf.

Eintrag gesperrt
870 Views

PHP Version

Gernot, Wednesday, 24.04.2024, 19:52 (vor 51 Tagen) @ Fritz

in der .htaccess steht kein pfad

muss ich jetzt für meine subdomain eine neue lizenz erwerben?

der hinweis stört mich doch sehr
vor allem, wo ich links zum entwickler gerne stehen gelassen habe

Eintrag gesperrt
839 Views
Avatar

PHP Version

Fritz ⌂, Wednesday, 24.04.2024, 20:19 (vor 51 Tagen) @ Gernot

in der .htaccess steht kein pfad

Wenn das wirklich so ist, dann sind deine Admin-Tools _nicht_ passwortgeschützt, und jeder kann dort beliebigen Unfug anstellen.

muss ich jetzt für meine subdomain eine neue lizenz erwerben?

Wie schon geschrieben: Ohne gültige Lizenz kann / darf der Hinweis nicht entfernt oder verändert werden. Je nach Version kann es sein, dass auch die eine oder andere lizenz-only Funktion nicht funktioniert.

Eintrag gesperrt
885 Views
Avatar

PHP Version

Fritz ⌂, Friday, 26.04.2024, 14:16 (vor 50 Tagen) @ Gernot

Ich denke, du solltest dich doch mit der aktuellen Version anfreunden.
Mit wenigen Zeilen in der personal_config_inc.php hast du einen Chat, der genau so aussieht, wie dein aktueller, ohne auch nur eine einzige Datei zu ändern.
Damit kannst du zukünftig jedes Update mitmachen, ohne dich um eigene Anpassungen zu kümmern, und bist auch für zukünftige PHP-Versionen gewappnet.
Ich schick' dir den Zugang zu einer entsprechenden Demo gerne per E-Mail - wenn du sie mir verrätst :-)

Eintrag gesperrt
869 Views

PHP Version

Gernot, Saturday, 27.04.2024, 21:30 (vor 48 Tagen) @ Fritz

habe eine mail gesendet